import 'package:doctor_app_flutter/models/patient/patiant_info_model.dart';
import 'package:flutter/material.dart';

import './profile_general_info_content_widget.dart';
import '../../../config/size_config.dart';
import '../../shared/rounded_container_widget.dart';

/* 
 *@author: Elham Rababah 
 *@Date:21/4/2020  
 *@param: 
 *@return: ProfileGeneralInfoWidget
 *@desc:   Profile General Info Widget class
 */
class ProfileGeneralInfoWidget extends StatelessWidget {
  ProfileGeneralInfoWidget({Key key, this.patient}) : super(key: key);

  PatiantInformtion patient;

  @override
  Widget build(BuildContext context) {
    // PatientsProvider patientsProv = Provider.of<PatientsProvider>(context);
    // patient = patientsProv.getSelectedPatient();
    return RoundedContainer(
      child: ListView(
        children: <Widget>[
          ProfileGeneralInfoContentWidget(
            title: "Age",
            info: '${patient.age}',
          ),
          ProfileGeneralInfoContentWidget(
            title: "Contact Number",
            info: '${patient.mobileNumber}',
          ),
          ProfileGeneralInfoContentWidget(
            title: "Email",
            info: '${patient.emailAddress}',
          ),
        ],
      ),
      width: SizeConfig.screenWidth * 0.70,
      height: SizeConfig.screenHeight * 0.25,
    );
  }
}
